#! /usr/bin/env node

import inquirer from "inquirer";
import chalk from "chalk";

let todos : string[] = [];
let conditions : boolean = true ;

console.log(chalk.magenta.bold('\n \t WELCOME TO MY TODO LIST APPLICATION \n'));

while(conditions === true){
     let addTask = await inquirer.prompt(
        [
            {
                name : 'tasks',
                type : 'input' ,
                message : chalk.cyan('Enter your new task : ')
            }
        ]
     );
     todos.push(addTask.tasks)
     console.log(chalk.green.italic(`${addTask.tasks} added to the list successfully.`))

    let addMoreTask = await inquirer.prompt(
        [
            {
                name : 'addtask' , 
                type : "confirm" ,
                message : chalk.cyan('Do you want to add more task to the list?'),
                default : 'false'
            }
        ]
    );
    conditions = addMoreTask.addtask;
}

console.log(chalk.redBright.bold('Your updated ToDo List : ') , todos);


